# External Entities

This module allow you to connect to and use datasets from external databases in
your Drupal website. While content lives externally, Drupal sees those remote
entities as internal. This makes it possible to alter the field displays, add
references, comments, path aliases, share buttons, web-shop products and more.

For a full description of the module, visit the 
[project page](https://www.drupal.org/project/external_entities).

Submit bug reports and feature suggestions, or track changes in the
[issue queue](https://www.drupal.org/project/issues/external_entities).


## Table of contents

- Installation
- Configuration
- Requirements
- Recommended modules
- Maintainers


## Requirements

This module requires no modules outside of Drupal core.


## Recommended modules

- [Search API](https://www.drupal.org/project/search_api), when enabled
it is possible to make overviews of external entities.


## Installation

Install as you would normally install a contributed Drupal module. For further
information, see
[Installing Drupal Modules](https://www.drupal.org/docs/extending-drupal/installing-drupal-modules).


## Configuration

1. Enable the module at Administration > Extend.
2. To enable integration of external entities, create a new external entity on
   admin/structure/external-entity-types.
3. Configure the external source, fields and mapping for the entity.

For more information, see the documentation page about
[External Entities](https://www.drupal.org/docs/contributed-modules/external-entities).


## Maintainers

Current maintainers:
- Raf Philtjens - [rp7](https://www.drupal.org/u/rp7)
- Clemens Tolboom - [clemens.tolboom](https://www.drupal.org/u/clemenstolboom)
- Hanno Lans - [Hanno](https://www.drupal.org/u/hanno)
- Rodrigo Aguilera - [rodrigoaguilera](https://www.drupal.org/u/rodrigoaguilera)
- Jelle Sebreghts - [Jelle_S](https://www.drupal.org/u/jelle_s)
- Patrick van Efferen - [pefferen](https://www.drupal.org/u/pefferen)
- Peter Grond - [pgrond](https://www.drupal.org/u/pgrond)

This project has been sponsored by:
- Attiks (Peter Droogmans) is no nonsense company with a highly skilled
  technical and graphical staff. We handle both on- and offline communication,
  web development and print design are our middle names. We work
  internationally and are based in Antwerp, Belgium.
- Datascape (Hanno Lans) is involved in Drupal projects with an advanced
  information architecture, with accessibility, open content and open source in
  mind.
- Kunstmuseum The Hague has a leading collection of modern and contemporary art,
  fashion and decorative arts. It is also the international 
  home of Piet Mondrian,
  with no fewer than 300 works by the famous Dutch artist in its collection.
